# Sources from github
# git clone git://github.com/Benjamin-Dobell/Heimdall.git
# cd Heimdall
# git archive --format=tar --prefix=heimdall-1.3.1/ v1.3.1 | xz > ../heimdall-1.3.1.tar.xz


%global udev_rules_dir	/lib/udev/rules.d
Name:           heimdall
Version:	1.3.1        
Release:        1%{?dist}
Summary:        Flash firmware on to Samsung Galaxy S devices
Group:		Development/Tools
License:        MIT
URL:            http://www.glassechidna.com.au/products/%{name}/
Source0:        %{name}-%{version}.tar.xz
Source2:	%{name}.desktop
Patch1:		heimdall-remove-udev-service-restart.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libusb1-devel
BuildRequires:	qt-devel
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:  autoconf

%description
Heimdall is a cross-platform open-source utility to flash firmware
on to Samsung Galaxy S devices

%package frontend
Summary:	Qt4 based frontend for %{name}
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description frontend
Heimdall is a cross-platform open-source utility to flash firmware
on to Samsung Galaxy S devices

This package provides Qt4 based frontend for %{name}

%prep
%setup -q
%patch1 -p1

#fix EOLs
dos2unix Linux/README

#fix frontend install
sed -i -e 's|/usr/local/bin|%{_bindir}|g' heimdall-frontend/heimdall-frontend.pro

%build
pushd libpit
	./autogen.sh
	%configure
	make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{optflags}"
popd

pushd heimdall
	./autogen.sh
	%configure
	make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{optflags}"
popd

pushd heimdall-frontend
	qmake-qt4 heimdall-frontend.pro 
	make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{optflags}"
popd

 

%install
pushd heimdall
make DESTDIR=%{buildroot} INSTALL="install -p" CP="cp -p" install
popd

pushd heimdall-frontend
make INSTALL_ROOT=%{buildroot} install
popd

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE2}
desktop-file-validate %{buildroot}/%{_datadir}/applications/heimdall.desktop

%clean


%files
%defattr(-,root,root)
%doc Linux/README heimdall/LICENSE
%{_bindir}/%{name}
%{udev_rules_dir}/60-heimdall-galaxy-s.rules

%files frontend
%defattr(-,root,root)
%doc Linux/README heimdall/LICENSE
%{_bindir}/%{name}-frontend
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Sep 18 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 1.3.1-1
- Initial packaging

